Package ru.bitel.bgbilling.server.util

# Enum Class DefaultServerSetup.DatabaseType

java.lang.Object
java.lang.Enum<DefaultServerSetup.DatabaseType>
ru.bitel.bgbilling.server.util.DefaultServerSetup.DatabaseType

All Implemented Interfaces:
  `Serializable`, `Comparable<DefaultServerSetup.DatabaseType>`, `Constable`

Enclosing class:
  `DefaultServerSetup`

public static enum DefaultServerSetup.DatabaseType extends Enum<DefaultServerSetup.DatabaseType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MARIADB`
  `MYSQL`
  `POSTGRE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DefaultServerSetup.DatabaseType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DefaultServerSetup.DatabaseType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MYSQL

    public static final DefaultServerSetup.DatabaseType MYSQL

  - ### MARIADB

    public static final DefaultServerSetup.DatabaseType MARIADB

  - ### POSTGRE

    public static final DefaultServerSetup.DatabaseType POSTGRE

- ## Method Details

  - ### values

    public static DefaultServerSetup.DatabaseType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DefaultServerSetup.DatabaseType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null